// $Id$

package oor.model;

/**
 * Common interface for content stored in an OOR.
 * 
 * @author Mike Dean <mdean@bbn.com>
 * 
 */
public abstract interface Content {

	/**
	 * Return the metadata associated with this content.
	 * 
	 * @return
	 */
	public MetaData getMetaData();

	/**
	 * Return the current state of this content.
	 * 
	 * @return
	 */
	public ContentState getState();

	/**
	 * Set the current state of this content.
	 * 
	 * @param state
	 */
	public void setState(ContentState state);

	/**
	 * Return the external identifier, e.g. URI, used to identify this content.
	 * 
	 * @return
	 */
	public String getExternalIdentifier();

	/**
	 * Return the language used to represent this content.
	 */
	public OntologyLanguage getLanguage();

	/**
	 * Set the external identifier, e.g. URI, used to identify this ontology.
	 */
	void setExternalIdentifier(String externalIdentifier);
}
