// $Id$

package oor.model;

/**
 * Possible states of an ontology or other OOR content during its lifecycle.
 * 
 * @author Mike Dean <mdean@bbn.com>
 * 
 */
public class ContentState {
	/**
	 * Newly-created content, generally empty. This supports development within
	 * the repository.
	 */
	public static ContentState CREATED;
	/**
	 * Newly-submitted content, generally largely or fully populated.
	 */
	public static ContentState SUBMITTED;
	/**
	 * Content which has been accepted according to gatekeeping policies, etc.
	 */
	public static ContentState ACCEPTED;
	/**
	 * Content which has been modified, but the modifications have not yet
	 * passed gatekeeping policies. Once gatekeeping policies have been passed,
	 * the state will generally revert back to ACCEPTED.
	 */
	public static ContentState MODIFIED;
	/**
	 * Content which is no longer recommended for use.
	 */
	public static ContentState DEPRECATED;
	/**
	 * Content which is no longer generally available.
	 */
	public static ContentState ARCHIVED;

}
