// $Id$

package oor.model;

/**
 * Defines a mapping of terms from one ontology to another. This might be
 * represented using the Semantic Web Rule Language (SWRL), Common Logic, or
 * other representations. The mapping is not necessarily complete.
 * 
 * @author Mike Dean <mdean@bbn.com>
 * 
 */
public interface Mapping extends Content {
	/**
	 * Return the source ontology.
	 * 
	 * @return
	 */
	public Ontology getFromOntology();

	/**
	 * Return the destination ontology.
	 * 
	 * @return
	 */
	public Ontology getToOntology();
}
