// $Id$

package oor.model;

import java.util.List;

/**
 * Interface to an Open Ontology Repository instantiation.
 * 
 * @author Mike Dean <mdean@bbn.com>
 * @see <a href="http://openontologyrepository.org">Open Ontology Repository initiative</a>
 */
public interface OOR {
	/**
	 * List all modules used by this OOR.
	 */
	List<Module> getModules();
	
	/**
	 * Add a module to this OOR.
	 */
	void addModule(Module module);

	/**
	 * Return other OOR's that this OOR is federated with.
	 */
	List<OOR> getFederates();

	/**
	 * Return a site-specific description of this repository, including
	 * information such as the subject domain and IPR restrictions.
	 * 
	 * @return
	 */
	String getDescription();
}
