// $Id$

package oor.model;

import java.util.List;

/** 
 * An ontology language (such as OWL or Common Logic) supported by the OOR.
 * @author Mike Dean <mdean@bbn.com>
 *
 */
public interface OntologyLanguage extends Module
{
	/**
	 * Create an empty ontology.
	 */
	public Ontology createOntology();
	
	/**
	 * Parse a string to create an ontology.
	 */
	public Ontology parse(String string);
	
	/**
	 * Parse the content at the specified URI to create an ontology.
	 */
	public Ontology parse(java.net.URI uri);
	
	/**
	 * List the types of terms associated with this language.
	 */
	public List<TermType> listTermTypes();
}
