// $Id$

package oor.model;

import java.util.Iterator;

/**
 * A registry records metadata about an ontology without storing the ontology itself.
 * @author Mike Dean <mdean@bbn.com>
 *
 */
public interface Registry extends Module 
{
	/**
	 * List all content in this registry.
	 * @return
	 */
	public Iterator<Content> listContents();
	
	/**
	 * Add the specified content to this registry.
	 * @param ontology
	 */
	public void addContent(Content content);
		
	/**
	 * Remove the specified content from this registry.
	 * @param ontology
	 */
	public void deleteContent(Content content);
	
	/**
	 * List all terms matching the specified string.
	 * @param string
	 * @return
	 */
	public Iterator<Term> search(String string);
}
