// $Id$

package oor.model;

import java.util.Iterator;

/**
 * A repository stores the ontology along with its metadata.
 * @author Mike Dean <mdean@bbn.com>
 *
 */
public interface Repository extends Module 
{
	/**
	 * List all content in this repository.
	 */
	Iterator<Content> listContents();
	
	/**
	 * Add the specified content to this repository.
	 * @param ontology
	 */
	public void addContent(Content content);
		
	/**
	 * Remove the specified content from this repository.
	 * @param ontology
	 */
	public void deleteContent(Content content);
	
	// TODO versioning
}
