// $Id$

package oor.model;

/**
 * A term defined by an ontology, such as a concept, predicate, or individual.
 * 
 * @author Mike Dean <mdean@bbn.com>
 * 
 */
public interface Term {
	/**
	 * Return the type of this term.
	 * @return
	 */
	public TermType getTermType();
	
	/**
	 * Return the name of this term.
	 * 
	 * @return
	 */
	public String getName();
	
	/**
	 * Return the ontology containing this term.
	 */
	public Ontology getOntology();

	/**
	 * Return the definition of this term in the ontology. The representation
	 * will depend on the OntologyLanguage in use.
	 * 
	 * @return
	 */
	public String getDefinition();
}
