// $Id$

package oor.modules.lang;

import java.net.URI;
import java.util.Iterator;
import java.util.List;
import java.util.Vector;

import oor.impl.BaseOntology;
import oor.model.MetaData;
import oor.model.Ontology;
import oor.model.OntologyLanguage;
import oor.model.ContentState;
import oor.model.Term;
import oor.model.TermType;

/**
 * W3C OWL Web Ontology Language or RDF Schema.
 * @author Mike Dean <mdean@bbn.com>
 * @see <a href="http://www.w3.org/2004/OWL/">OWL Web Ontology Language</a>
 */
public class OWL implements OntologyLanguage {
	static class OWLTermType implements TermType
	{
		String name;
		
		OWLTermType(String name)
		{
			this.name = name;
		}

		public String getName() {
			return name;
		}
	}
	
	static OWLTermType owlClass = new OWLTermType("owl:Class");
	static OWLTermType owlDatatypeProperty = new OWLTermType("owl:DatatypeProperty");
	static OWLTermType owlObjectProperty = new OWLTermType("owl:ObjectProperty");
	static OWLTermType owlIndividual = new OWLTermType("OWL Individual");
	static OWLTermType rdfsClass = new OWLTermType("rdfs:Class");
	static OWLTermType rdfProperty = new OWLTermType("rdf:Property");
	static OWLTermType rdfIndividual = new OWLTermType("RDF Individual");
	
	static List<TermType> termTypes = new Vector<TermType>();
	
	class OWLOntology extends BaseOntology
	{

		@Override
		public Iterator<Term> listTerms() {
			// TODO Auto-generated method stub
			return null;
		}

		@Override
		public OntologyLanguage getLanguage() {
			return OWL.this;
		}

		@Override
		public MetaData getMetaData() {
			// TODO Auto-generated method stub
			return null;
		}
	}

	public Ontology createOntology() {
		Ontology ontology = new OWLOntology();
		ontology.setState(ContentState.CREATED);
		return ontology;
	}

	public Iterator<Term> listTerms() {
		// TODO Auto-generated method stub
		return null;
	}

	public Ontology parse(String string) {
		// TODO Auto-generated method stub
		return null;
	}

	public Ontology parse(URI uri) {
		// TODO Auto-generated method stub
		return null;
	}

	public List<TermType> listTermTypes() {
		return termTypes;
	}
	
	static {
		termTypes.add(owlClass);
		termTypes.add(owlDatatypeProperty);
		termTypes.add(owlObjectProperty);
		termTypes.add(owlIndividual);
		termTypes.add(rdfsClass);
		termTypes.add(rdfProperty);
		termTypes.add(rdfIndividual);
	}

}
